Bug 276592 - Crash while browsing through album in enlarged view
Summary: Crash while browsing through album in enlarged view
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: DImg-Processing (show other bugs)
Version: 3.5.0
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-27 08:07 UTC by Torbjörn K.
Modified: 2022-02-04 06:28 UTC (History)
13 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Torbjörn K. 2011-06-27 08:07:25 UTC
Application: digikam (2.0.0-rc)
KDE Platform Version: 4.6.80 (4.7 Beta1) "release 6"
Qt Version: 4.7.3
Operating System: Linux 2.6.37.6-0.5-desktop x86_64
Distribution: "openSUSE 11.4 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:

Digikam crashed while I was skipping through an album in the enlarged view (i.e. thumbnails ontop, full picture beneath in large). Thumbnails were all created previously. Filter was used to only show JPEG files.

I've started digikam from the terminal. Here is the output:

myself@suseTower:~> digikam 
digikam(32525)/digikam (core) Digikam::AlbumManager::setDatabase: DatabaseParameters: [ Type "QSQLITE", Name "/home/myself/Bilder/digikam4.db" (Thumbnails Name "/home/myself/Bilder/thumbnails-digikam.db"); ]
QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is still in use, all queries will cease to work.
digikam(32525)/digikam (core) Digikam::DatabaseConfigElementLoader::readConfig: Loading SQL code from config file "/usr/share/kde4/apps/digikam/database/dbconfig.xml"
digikam(32525)/digikam (core) Digikam::DatabaseConfigElementLoader::readConfig: false "1" 1 1
digikam(32525)/digikam (core) Digikam::SchemaUpdater::update: SchemaUpdater update
digikam(32525)/digikam (core) Digikam::SchemaUpdater::startUpdates: Have a database structure version  6
digikam(32525)/digikam (core) Digikam::SchemaUpdater::makeUpdates: makeUpdates  6  to  6
digikam(32525)/digikam (core) Digikam::AlbumRootLocation::AlbumRootLocation: Creating new Location  "/myself/Bilder"  uuid  "volumeid:?uuid=6eb3a9e7-fcb9-40f8-bc0a-32b074e2d5f3"
digikam(32525)/digikam (core) Digikam::CollectionManager::updateLocations: location for  "/home/myself/Bilder"  is available  true
digikam(32525)/digikam (core) Digikam::LoadingCache::setCacheSize: Allowing a cache size of 150 MB
digikam(32525)/digikam (core) Digikam::ThumbnailSchemaUpdater::startUpdates: Have a database structure version  "2"
digikam(32525)/digikam (core) Digikam::ThumbnailLoadThread::initializeThumbnailDatabase: Thumbnail db ready for use
digikam(32525)/digikam (core) Digikam::AlbumManager::checkNepomukService: digikamnepomukservice is not available in NepomukServer                                                                                                       
digikam(32525)/digikam (core) Digikam::CollectionScanner::completeHistoryScanning: items to tag ()                  
digikam(32525)/digikam (core) Digikam::CollectionScanner::completeScan: Complete scan took: 104 msecs.              
digikam(32525)/digikam (core) Digikam::IccSettings::IccSettingsPriv::scanDirectories: ("/usr/share/color/icc")      
digikam(32525)/digikam (core) Digikam::IccProfile::considerOriginalAdobeRGB: The original Adobe RGB (1998) profile has been found at "/usr/share/color/icc/Adobe ICC Profiles/RGB Profiles/AdobeRGB1998.icc"                            
digikam(32525)/digikam (core) Digikam::DigikamApp::setupActions: (Digikam::AlbumFolderViewSideBarWidget(0x1819110, name = "AlbumFolderView Sidebar") ,  Digikam::TagViewSideBarWidget(0x182c8b0, name = "TagView Sidebar") ,  Digikam::DateFolderViewSideBarWidget(0x183eb90, name = "DateFolderView Sidebar") ,  Digikam::TimelineSideBarWidget(0x184f740, name = "TimeLine Sidebar") ,  Digikam::SearchSideBarWidget(0x186e130, name = "Search Sidebar") ,  Digikam::FuzzySearchSideBarWidget(0x18898a0, name = "Fuzzy Search Sidebar") ,  Digikam::GPSSearchSideBarWidget(0x184f6f0, name = "GPS Search Sidebar") ,  Digikam::PeopleSideBarWidget(0x1999050, name = "People Sidebar") )                              
digikam(32525)/digikam (core) Digikam::DigikamApp::setupActions: "browse_album" "AlbumFolderView Sidebar"           
digikam(32525)/digikam (core) Digikam::DigikamApp::setupActions: "browse_tag" "TagView Sidebar"                     
digikam(32525)/digikam (core) Digikam::DigikamApp::setupActions: "browse_date" "DateFolderView Sidebar"             
digikam(32525)/digikam (core) Digikam::DigikamApp::setupActions: "browse_timeline" "TimeLine Sidebar"               
digikam(32525)/digikam (core) Digikam::DigikamApp::setupActions: "browse_search" "Search Sidebar"                   
digikam(32525)/digikam (core) Digikam::DigikamApp::setupActions: "browse_fuzzysearch" "Fuzzy Search Sidebar"        
digikam(32525)/digikam (core) Digikam::DigikamApp::setupActions: "browse_gpssearch" "GPS Search Sidebar"            
digikam(32525)/digikam (core) Digikam::DigikamApp::setupActions: "browse_people" "People Sidebar"                   
digikam(32525)/digikam (core) Digikam::ThemeManager::slotChangePalette: ""
digikam(32525)/digikam (core) Digikam::ThemeManager::slotChangePalette: ""
digikam(32525)/digikam (core) Digikam::AlbumManager::startScan: KDirWatch method =  "INotify"
digikam(32525)/digikam (core) Digikam::DigikamApp::slotKipiPluginPlug: Plugin ' "jpeglossless_convert2grayscale" ' disabled.
digikam(32525)/digikam (core) Digikam::DigikamApp::slotKipiPluginPlug: Plugin ' "batch_border_images" ' disabled.
digikam(32525)/digikam (core) Digikam::DigikamApp::slotKipiPluginPlug: Plugin ' "batch_color_images" ' disabled.
digikam(32525)/digikam (core) Digikam::DigikamApp::slotKipiPluginPlug: Plugin ' "batch_convert_images" ' disabled.
digikam(32525)/digikam (core) Digikam::DigikamApp::slotKipiPluginPlug: Plugin ' "batch_filter_images" ' disabled.
digikam(32525)/digikam (core) Digikam::DigikamApp::slotKipiPluginPlug: Plugin ' "batch_rename_images" ' disabled.
digikam(32525)/digikam (core) Digikam::DigikamApp::slotKipiPluginPlug: Plugin ' "raw_converter_single" ' disabled.
digikam(32525)/digikam (editor plugins) ImagePlugin_Color::ImagePlugin_Color: ImagePlugin_Color plugin loaded
digikam(32525)/digikam (core) Digikam::ImagePluginLoader::loadPluginsFromList: ImagePluginLoader: Loaded plugin  "Bild-Modul_Farbe"
digikam(32525)/digikam (editor plugins) ImagePlugin_Decorate::ImagePlugin_Decorate: ImagePlugin_Decorate plugin loaded
digikam(32525)/digikam (core) Digikam::ImagePluginLoader::loadPluginsFromList: ImagePluginLoader: Loaded plugin  "Bildmodul_Dekoration"
digikam(32525)/digikam (editor plugins) ImagePlugin_FxFilters::ImagePlugin_FxFilters: ImagePlugin_FxFilters plugin loaded
digikam(32525)/digikam (core) Digikam::ImagePluginLoader::loadPluginsFromList: ImagePluginLoader: Loaded plugin  "Bildmodul_Effekte"
digikam(32525)/digikam (editor plugins) ImagePlugin_Transform::ImagePlugin_Transform: ImagePlugin_Transform plugin loaded
digikam(32525)/digikam (core) Digikam::ImagePluginLoader::loadPluginsFromList: ImagePluginLoader: Loaded plugin  "Bildmodul_Transformation"
digikam(32525)/digikam (editor plugins) ImagePlugin_Enhance::ImagePlugin_Enhance: ImagePlugin_Enhance plugin loaded
digikam(32525)/digikam (core) Digikam::ImagePluginLoader::loadPluginsFromList: ImagePluginLoader: Loaded plugin  "Bildmodul_Verbesserung"
digikam(32525)/digikam (core) Digikam::AlbumFilterModel::setSearchTextSettings: new search text settings:  "" : hasResult =  true , validRows =  2
digikam(32525)/digikam (core) Digikam::DImg::load: "/home/myself/Bilder/157_2606/SG107255.JPG"  : JPEG file identified
digikam(32525)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(32525)/digikam (core) Digikam::DImg::load: "/home/myself/Bilder/157_2606/SG107254.JPG"  : JPEG file identified
digikam(32525)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(32525)/digikam (core) Digikam::DImg::load: "/home/myself/Bilder/157_2606/SG107253.JPG"  : JPEG file identified
digikam(32525)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(32525)/digikam (core) Digikam::DImg::load: "/home/myself/Bilder/157_2606/SG107252.JPG"  : JPEG file identified
digikam(32525)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(32525)/digikam (core) Digikam::DImg::load: "/home/myself/Bilder/157_2606/SG107251.JPG"  : JPEG file identified
digikam(32525)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::ThemeManager::slotChangePalette: "Obsidian Coast"
digikam(32525)/digikam (core) Digikam::ThemeManager::slotChangePalette: "/usr/share/kde4/apps/color-schemes/ObsidianCoast.colors"
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::DImg::load: "/home/myself/Bilder/157_2606/SG107256.JPG"  : JPEG file identified
digikam(32525)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::DImg::load: "/home/myself/Bilder/157_2606/SG107243.JPG"  : JPEG file identified
digikam(32525)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::DImg::load: "/home/myself/Bilder/157_2606/SG107244.JPG"  : JPEG file identified
digikam(32525)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::DImg::load: "/home/myself/Bilder/157_2606/SG107174.JPG"  : JPEG file identified
digikam(32525)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(32525)/digikam (core) Digikam::DImg::load: "/home/myself/Bilder/157_2606/SG107156.JPG"  : JPEG file identified
digikam(32525)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::DImg::load: "/home/myself/Bilder/157_2606/SG107157.JPG"  : JPEG file identified
digikam(32525)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(32525)/digikam (core) Digikam::DImg::load: "/home/myself/Bilder/157_2606/SG107155.JPG"  : JPEG file identified
digikam(32525)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(32525)/digikam (core) Digikam::DImg::load: "/home/myself/Bilder/157_2606/SG107154.JPG"  : JPEG file identified
digikam(32525)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(32525)/digikam (core) Digikam::DImg::load: "/home/myself/Bilder/157_2606/SG107153.JPG"  : JPEG file identified
digikam(32525)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::MapViewModelHelper::slotImageChange: ---------------------------------------------------------------
digikam(32525)/digikam (core) Digikam::DImg::load: "/home/myself/Bilder/157_2606/SG107152.JPG"  : JPEG file identified
digikam(32525)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(32525)/digikam (core) Digikam::DImg::load: "/home/myself/Bilder/157_2606/SG107151.JPG"  : JPEG file identified
digikam(32525)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(32525)/digikam (core) Digikam::DImg::load: "/home/myself/Bilder/157_2606/SG107150.JPG"  : JPEG file identified
digikam(32525)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(32525)/digikam (core) Digikam::DImg::load: "/home/myself/Bilder/157_2606/SG107149.JPG"  : JPEG file identified
digikam(32525)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(32525)/digikam (core) Digikam::DImg::load: "/home/myself/Bilder/157_2606/SG107148.JPG"  : JPEG file identified
digikam(32525)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(32525)/digikam (core) Digikam::DImg::load: "/home/myself/Bilder/157_2606/SG107147.JPG"  : JPEG file identified
digikam(32525)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(32525)/digikam (core) Digikam::DImg::load: "/home/myself/Bilder/157_2606/SG107146.JPG"  : JPEG file identified
digikam(32525)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(32525)/digikam (core) Digikam::DImg::load: "/home/myself/Bilder/157_2606/SG107145.JPG"  : JPEG file identified
digikam(32525)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
*** glibc detected *** digikam: free(): invalid pointer: 0x00007f163b75d010 ***

-- Backtrace:
Application: digiKam (digikam), signal: Aborted
pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
162	62:	movl	(%rsp), %edi
[Current thread is 1 (Thread 0x7f16786bc860 (LWP 32525))]

Thread 6 (Thread 0x7f1659ae8700 (LWP 32526)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f167170077b in wait (this=<value optimized out>, mutex=0xce85e8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0xce85e8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00000000005e1296 in Digikam::ScanController::run (this=0xd36b70) at /home/kdedev/kdesrc/digikam/digikam/database/scancontroller.cpp:618
#4  0x00007f1671700095 in QThreadPrivate::start (arg=0xd36b70) at thread/qthread_unix.cpp:320
#5  0x00007f167146fa3f in start_thread (arg=0x7f1659ae8700) at pthread_create.c:297
#6  0x00007f166f8e867d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f16592e7700 (LWP 32527)):
#0  0x00007f16714720a4 in __pthread_mutex_lock (mutex=0xd56448) at pthread_mutex_lock.c:61
#1  0x00007f16699ef876 in g_main_context_check (context=0xd56440, max_priority=2147483647, fds=<value optimized out>, n_fds=<value optimized out>) at gmain.c:2963
#2  0x00007f16699f0132 in g_main_context_iterate (context=0xd56440, block=1, dispatch=1, self=<value optimized out>) at gmain.c:3088
#3  0x00007f16699f0650 in g_main_context_iteration (context=0xd56440, may_block=1) at gmain.c:3154
#4  0x00007f1671814286 in QEventDispatcherGlib::processEvents (this=0xd55de0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f16717e88d2 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f16717e8ae5 in QEventLoop::exec (this=0x7f16592e6ce0, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f16716fd7a4 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#8  0x00007f16717ca008 in QInotifyFileSystemWatcherEngine::run (this=0xce3050) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f1671700095 in QThreadPrivate::start (arg=0xce3050) at thread/qthread_unix.cpp:320
#10 0x00007f167146fa3f in start_thread (arg=0x7f16592e7700) at pthread_create.c:297
#11 0x00007f166f8e867d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f1658ae6700 (LWP 32529)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f167170077b in wait (this=<value optimized out>, mutex=0xf028a8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0xf028a8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f1675117d91 in Digikam::ParkingThread::run (this=0xf02890) at /home/kdedev/kdesrc/digikam/libs/threads/threadmanager.cpp:119
#4  0x00007f1671700095 in QThreadPrivate::start (arg=0xf02890) at thread/qthread_unix.cpp:320
#5  0x00007f167146fa3f in start_thread (arg=0x7f1658ae6700) at pthread_create.c:297
#6  0x00007f166f8e867d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f164ee45700 (LWP 32562)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007f16717006e2 in wait (this=<value optimized out>, mutex=0xe8d8a0, time=30000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0xe8d8a0, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f16716f4f38 in QThreadPoolThread::run (this=0x2871e60) at concurrent/qthreadpool.cpp:140
#4  0x00007f1671700095 in QThreadPrivate::start (arg=0x2871e60) at thread/qthread_unix.cpp:320
#5  0x00007f167146fa3f in start_thread (arg=0x7f164ee45700) at pthread_create.c:297
#6  0x00007f166f8e867d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f1641d8b700 (LWP 32563)):
[KCrash Handler]
#6  0x00007f166f847ab5 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007f166f848fb6 in abort () at abort.c:92
#8  0x00007f166f882dd3 in __libc_message (do_abort=2, fmt=0x7f166f9439b0 "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:186
#9  0x00007f166f8883b6 in malloc_printerr (action=3, str=0x7f166f940b7e "free(): invalid pointer", ptr=<value optimized out>) at malloc.c:6261
#10 0x00007f1674ef96e0 in Digikam::DImgPrivate::~DImgPrivate (this=0x3296880, __in_chrg=<value optimized out>) at /home/kdedev/kdesrc/digikam/libs/dimg/dimg_p.h:87
#11 0x00007f1674efac01 in Digikam::DSharedDataPointer<Digikam::DImgPrivate>::~DSharedDataPointer (this=0x3b118e0, __in_chrg=<value optimized out>) at /home/kdedev/kdesrc/digikam/libs/dimg/dshareddata.h:165
#12 0x00007f1674eed1d0 in Digikam::DImg::~DImg (this=0x3b118e0, __in_chrg=<value optimized out>) at /home/kdedev/kdesrc/digikam/libs/dimg/dimg.cpp:169
#13 0x00007f16750e9709 in QCache<QString, Digikam::DImg>::unlink (this=0xe4c400, n=...) at /usr/include/QtCore/qcache.h:75
#14 0x00007f16750e93c0 in QCache<QString, Digikam::DImg>::trim (this=0xe4c400, m=147250176) at /usr/include/QtCore/qcache.h:209
#15 0x00007f16750e7cf0 in QCache<QString, Digikam::DImg>::insert (this=0xe4c400, akey=..., aobject=0x1e7c0e0, acost=10036224) at /usr/include/QtCore/qcache.h:188
#16 0x00007f16750e59f6 in Digikam::LoadingCache::putImage (this=0xd48680, cacheKey=..., img=0x1e7c0e0, filePath=...) at /home/kdedev/kdesrc/digikam/libs/threadimageio/loadingcache.cpp:198
#17 0x00007f16750f129c in Digikam::PreviewLoadingTask::execute (this=0x2f8bd00) at /home/kdedev/kdesrc/digikam/libs/threadimageio/previewtask.cpp:413
#18 0x00007f16750ddaef in Digikam::LoadSaveThread::run (this=0xe64460) at /home/kdedev/kdesrc/digikam/libs/threadimageio/loadsavethread.cpp:118
#19 0x00007f167511a574 in Digikam::DynamicThread::DynamicThreadPriv::run (this=0xe42be0) at /home/kdedev/kdesrc/digikam/libs/threads/dynamicthread.cpp:328
#20 0x00007f16716f4ea8 in QThreadPoolThread::run (this=0x286f210) at concurrent/qthreadpool.cpp:106
#21 0x00007f1671700095 in QThreadPrivate::start (arg=0x286f210) at thread/qthread_unix.cpp:320
#22 0x00007f167146fa3f in start_thread (arg=0x7f1641d8b700) at pthread_create.c:297
#23 0x00007f166f8e867d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#24 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f16786bc860 (LWP 32525)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f16716ff193 in QMutexPrivate::wait (this=0xe61a20, timeout=-1) at thread/qmutex_unix.cpp:84
#2  0x00007f16716fbad5 in QMutex::lock (this=0xe4c490) at thread/qmutex.cpp:204
#3  0x00007f16750e7034 in Digikam::LoadingCache::CacheLock::CacheLock (this=0x7fff61eb2460, cache=0xd48680) at /home/kdedev/kdesrc/digikam/libs/threadimageio/loadingcache.cpp:497
#4  0x00007f16750fa44b in Digikam::ThumbnailLoadThread::find (this=0xf63250, filePath=..., size=157, retPixmap=0x7fff61eb28c0, emitSignal=false, detailRect=...) at /home/kdedev/kdesrc/digikam/libs/threadimageio/thumbnailloadthread.cpp:475
#5  0x00007f16750fa67f in Digikam::ThumbnailLoadThread::find (this=0xf63250, filePath=..., retPixmap=..., size=157) at /home/kdedev/kdesrc/digikam/libs/threadimageio/thumbnailloadthread.cpp:512
#6  0x00007f1674a78ae1 in Digikam::ImageThumbnailModel::data (this=0xd72050, index=..., role=34) at /home/kdedev/kdesrc/digikam/libs/models/imagethumbnailmodel.cpp:262
#7  0x00007f1670ca75f1 in QSortFilterProxyModel::data (this=<value optimized out>, index=<value optimized out>, role=34) at itemviews/qsortfilterproxymodel.cpp:1715
#8  0x00007f1674a6aa9e in Digikam::ImageFilterModel::data (this=0xdcd280, index=..., role=34) at /home/kdedev/kdesrc/digikam/libs/models/imagefiltermodel.cpp:553
#9  0x00007f1670ca75f1 in QSortFilterProxyModel::data (this=<value optimized out>, index=<value optimized out>, role=34) at itemviews/qsortfilterproxymodel.cpp:1715
#10 0x00000000004bb0ff in QModelIndex::data (this=0x31ca650, arole=34) at /usr/include/QtCore/qabstractitemmodel.h:398
#11 0x000000000061cd5f in Digikam::ImageDelegate::retrieveThumbnailPixmap (index=..., thumbnailSize=157) at /home/kdedev/kdesrc/digikam/digikam/items/imagedelegate.cpp:213
#12 0x000000000061ce5c in Digikam::ImageDelegate::thumbnailPixmap (this=0xdda140, index=...) at /home/kdedev/kdesrc/digikam/digikam/items/imagedelegate.cpp:223
#13 0x000000000061cfe0 in Digikam::ImageDelegate::paint (this=0xdda140, p=0x7fff61eb3130, option=..., index=...) at /home/kdedev/kdesrc/digikam/digikam/items/imagedelegate.cpp:255
#14 0x00007f1670c4538a in QListView::paintEvent (this=<value optimized out>, e=<value optimized out>) at itemviews/qlistview.cpp:1044
#15 0x00007f167514acdb in Digikam::DigikamKCategorizedView::paintEvent (this=0xdb5a90, event=0x7fff61eb42f0) at /home/kdedev/kdesrc/digikam/libs/widgets/common/digikamkcategorizedview.cpp:802
#16 0x000000000061945f in Digikam::ImageCategorizedView::paintEvent (this=0xdb5a90, e=0x7fff61eb42f0) at /home/kdedev/kdesrc/digikam/digikam/items/imagecategorizedview.cpp:700
#17 0x00007f167076dc0e in QWidget::event (this=0xdb5a90, event=0x7fff61eb42f0) at kernel/qwidget.cpp:8405
#18 0x00007f1670b12a86 in QFrame::event (this=0xdb5a90, e=0x7fff61eb42f0) at widgets/qframe.cpp:557
#19 0x00007f1670c22ec3 in QAbstractItemView::viewportEvent (this=0xdb5a90, event=0x7fff61eb42f0) at itemviews/qabstractitemview.cpp:1628
#20 0x00007f167512df26 in Digikam::DCategorizedView::viewportEvent (this=0xdb5a90, event=0x7fff61eb42f0) at /home/kdedev/kdesrc/digikam/libs/widgets/common/dcategorizedview.cpp:924
#21 0x00007f16717e9607 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0xeb3800, event=0x7fff61eb42f0) at kernel/qcoreapplication.cpp:846
#22 0x00007f167071c111 in QApplicationPrivate::notify_helper (this=0xbc4f70, receiver=0xeb3800, e=0x7fff61eb42f0) at kernel/qapplication.cpp:4458
#23 0x00007f16707246fa in QApplication::notify (this=<value optimized out>, receiver=0xeb3800, e=0x7fff61eb42f0) at kernel/qapplication.cpp:4341
#24 0x00007f1672234386 in KApplication::notify (this=0x7fff61eb6e70, receiver=0xeb3800, event=0x7fff61eb42f0) at /usr/src/debug/kdelibs-4.6.80/kdeui/kernel/kapplication.cpp:311
#25 0x00007f16717e947c in QCoreApplication::notifyInternal (this=0x7fff61eb6e70, receiver=0xeb3800, event=0x7fff61eb42f0) at kernel/qcoreapplication.cpp:731
#26 0x00007f167076aae2 in sendSpontaneousEvent (this=0xe2eb70, pdev=0xe60298, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0xdf5880) at ../../src/corelib/kernel/qcoreapplication.h:218
#27 QWidgetPrivate::drawWidget (this=0xe2eb70, pdev=0xe60298, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0xdf5880) at kernel/qwidget.cpp:5492
#28 0x00007f167076b6af in QWidgetPrivate::paintSiblingsRecursive (this=0xf8e4f0, pdev=0xe60298, siblings=<value optimized out>, index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0xdf5880) at kernel/qwidget.cpp:5699
#29 0x00007f167076a84a in QWidgetPrivate::drawWidget (this=0xf8e4f0, pdev=0xe60298, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0xdf5880) at kernel/qwidget.cpp:5545
#30 0x00007f167076b6af in QWidgetPrivate::paintSiblingsRecursive (this=0xda5850, pdev=0xe60298, siblings=<value optimized out>, index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0xdf5880) at kernel/qwidget.cpp:5699
#31 0x00007f167076a84a in QWidgetPrivate::drawWidget (this=0xda5850, pdev=0xe60298, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0xdf5880) at kernel/qwidget.cpp:5545
#32 0x00007f167076b6af in QWidgetPrivate::paintSiblingsRecursive (this=0xee7060, pdev=0xe60298, siblings=<value optimized out>, index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0xdf5880) at kernel/qwidget.cpp:5699
#33 0x00007f167076a84a in QWidgetPrivate::drawWidget (this=0xee7060, pdev=0xe60298, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0xdf5880) at kernel/qwidget.cpp:5545
#34 0x00007f167076b6af in QWidgetPrivate::paintSiblingsRecursive (this=0xe2ee60, pdev=0xe60298, siblings=<value optimized out>, index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0xdf5880) at kernel/qwidget.cpp:5699
#35 0x00007f167076a84a in QWidgetPrivate::drawWidget (this=0xe2ee60, pdev=0xe60298, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0xdf5880) at kernel/qwidget.cpp:5545
#36 0x00007f167076b6af in QWidgetPrivate::paintSiblingsRecursive (this=0xdbe330, pdev=0xe60298, siblings=<value optimized out>, index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0xdf5880) at kernel/qwidget.cpp:5699
#37 0x00007f167076a84a in QWidgetPrivate::drawWidget (this=0xdbe330, pdev=0xe60298, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0xdf5880) at kernel/qwidget.cpp:5545
#38 0x00007f167076b6af in QWidgetPrivate::paintSiblingsRecursive (this=0xd512e0, pdev=0xe60298, siblings=<value optimized out>, index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0xdf5880) at kernel/qwidget.cpp:5699
#39 0x00007f167076a84a in QWidgetPrivate::drawWidget (this=0xd512e0, pdev=0xe60298, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0xdf5880) at kernel/qwidget.cpp:5545
#40 0x00007f167092dcf1 in QWidgetBackingStore::sync (this=0xdf5880) at painting/qbackingstore.cpp:1333
#41 0x00007f1670760720 in QWidgetPrivate::syncBackingStore (this=0xd512e0) at kernel/qwidget.cpp:1842
#42 0x00007f167076e112 in QWidget::event (this=0xdb19a0, event=0x324ae60) at kernel/qwidget.cpp:8552
#43 0x00007f1670b2c63b in QMainWindow::event (this=0xdb19a0, event=0x324ae60) at widgets/qmainwindow.cpp:1480
#44 0x00007f167232cfd0 in KXmlGuiWindow::event (this=0xdb19a0, ev=0x324ae60) at /usr/src/debug/kdelibs-4.6.80/kdeui/xmlgui/kxmlguiwindow.cpp:126
#45 0x00007f167071c144 in QApplicationPrivate::notify_helper (this=0xbc4f70, receiver=0xdb19a0, e=0x324ae60) at kernel/qapplication.cpp:4462
#46 0x00007f16707246fa in QApplication::notify (this=<value optimized out>, receiver=0xdb19a0, e=0x324ae60) at kernel/qapplication.cpp:4341
#47 0x00007f1672234386 in KApplication::notify (this=0x7fff61eb6e70, receiver=0xdb19a0, event=0x324ae60) at /usr/src/debug/kdelibs-4.6.80/kdeui/kernel/kapplication.cpp:311
#48 0x00007f16717e947c in QCoreApplication::notifyInternal (this=0x7fff61eb6e70, receiver=0xdb19a0, event=0x324ae60) at kernel/qcoreapplication.cpp:731
#49 0x00007f16717ecc75 in sendEvent (receiver=0x0, event_type=0, data=0xb69250) at kernel/qcoreapplication.h:215
#50 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xb69250) at kernel/qcoreapplication.cpp:1372
#51 0x00007f1671814093 in sendPostedEvents (s=0xbc92d0) at kernel/qcoreapplication.h:220
#52 postEventSourceDispatch (s=0xbc92d0) at kernel/qeventdispatcher_glib.cpp:277
#53 0x00007f16699efbd3 in g_main_dispatch (context=0xbc91e0) at gmain.c:2440
#54 g_main_context_dispatch (context=0xbc91e0) at gmain.c:3013
#55 0x00007f16699f03b0 in g_main_context_iterate (context=0xbc91e0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:3091
#56 0x00007f16699f0650 in g_main_context_iteration (context=0xbc91e0, may_block=1) at gmain.c:3154
#57 0x00007f167181422f in QEventDispatcherGlib::processEvents (this=0xb90070, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#58 0x00007f16707c1bae in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#59 0x00007f16717e88d2 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#60 0x00007f16717e8ae5 in QEventLoop::exec (this=0x7fff61eb6cd0, flags=...) at kernel/qeventloop.cpp:201
#61 0x00007f16717ecf2b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#62 0x00000000006bdecb in main (argc=1, argv=0x7fff61eb7568) at /home/kdedev/kdesrc/digikam/digikam/main/main.cpp:232

Possible duplicates by query: bug 195652.

Reported using DrKonqi
Comment 1 Torbjörn K. 2011-06-27 20:11:59 UTC
Seems to be fixed in current master. After update and recompiling digikam from source I did not encountered this bug any more.
Comment 2 caulier.gilles 2011-09-22 07:39:45 UTC
*** Bug 282510 has been marked as a duplicate of this bug. ***
Comment 3 caulier.gilles 2011-12-14 22:27:35 UTC
*** Bug 289003 has been marked as a duplicate of this bug. ***
Comment 4 caulier.gilles 2012-10-16 20:32:35 UTC
*** Bug 308507 has been marked as a duplicate of this bug. ***
Comment 5 caulier.gilles 2013-05-26 19:27:25 UTC
*** Bug 320325 has been marked as a duplicate of this bug. ***
Comment 6 caulier.gilles 2013-05-27 08:22:19 UTC
*** Bug 320333 has been marked as a duplicate of this bug. ***
Comment 7 caulier.gilles 2013-05-29 21:13:00 UTC
*** Bug 320436 has been marked as a duplicate of this bug. ***
Comment 8 caulier.gilles 2013-08-17 12:14:21 UTC
*** Bug 323633 has been marked as a duplicate of this bug. ***
Comment 9 caulier.gilles 2013-10-21 07:41:36 UTC
*** Bug 326357 has been marked as a duplicate of this bug. ***
Comment 10 caulier.gilles 2013-10-31 07:53:10 UTC
digiKam 3.5.0 is out.

Can you give a fresh feedback about your report ? Crash still reproducible ?

Thanks in advance

Gilles Caulier
Comment 11 caulier.gilles 2013-12-30 23:06:46 UTC
*** Bug 329230 has been marked as a duplicate of this bug. ***
Comment 12 Jim Shipman 2014-01-18 05:40:31 UTC
Possible duplicate
Fedora 20 Gnome - digikam compiled from source 4.0.0-beta2 tarball.
I was running the maint->fingerprinter while browsing.  I previewed a video and while it was playing I clicked to move on to the next image (not a video).  Digikam crashed immediately.  I was running inside gdb and so the bug reporter didn't come up.

Here is the output on my debug terminal.  Hope this helps.

[New Thread 0x7fff69ffb700 (LWP 24332)]
[New Thread 0x7fff6a7fc700 (LWP 24333)]
[New Thread 0x7fff6affd700 (LWP 24334)]
[New Thread 0x7fffb36fb700 (LWP 24335)]
[New Thread 0x7fffb2efa700 (LWP 24336)]
[xcb] Unknown request in queue while dequeuing
[xcb] Most likely this is a multi-threaded client and XInitThreads has not been called
[xcb] Aborting, sorry about that.
digikam: xcb_io.c:179: dequeue_pending_request: Assertion `!xcb_xlib_unknown_req_in_deq' failed.

Program received signal SIGABRT, Aborted.
0x000000319e435c59 in raise () from /usr/lib64/libc.so.6
Missing separate debuginfos, use: debuginfo-install GConf2-3.2.6-7.fc20.x86_64 ImageMagick-libs-6.8.6.3-3.fc20.x86_64 ORBit2-2.14.19-9.fc20.x86_64 OpenEXR-libs-1.7.1-6.fc20.x86_64 PackageKit-gtk3-module-0.8.15-1.fc20.x86_64 alsa-lib-1.0.27.2-2.fc20.x86_64 atk-2.10.0-1.fc20.x86_64 attica-0.4.2-2.fc20.x86_64 avahi-glib-0.6.31-21.fc20.x86_64 avahi-libs-0.6.31-21.fc20.x86_64 bzip2-libs-1.0.6-9.fc20.x86_64 cairo-1.13.1-0.1.git337ab1f.fc20.x86_64 dbus-glib-0.100.2-2.fc20.x86_64 dbus-libs-1.6.12-8.fc20.x86_64 dbusmenu-qt-0.9.2-5.fc20.x86_64 exiv2-libs-0.23-5.fc20.x86_64 expat-2.1.0-7.fc20.x86_64 fftw-libs-double-3.3.3-7.fc20.x86_64 flac-libs-1.3.0-3.fc20.x86_64 fontconfig-2.11.0-1.fc20.x86_64 freetype-2.5.0-4.fc20.x86_64 gamin-0.1.10-15.fc20.x86_64 gdk-pixbuf2-2.30.1-1.fc20.x86_64 giflib-4.1.6-9.fc20.x86_64 glib2-2.38.2-2.fc20.x86_64 glibc-2.18-11.fc20.x86_64 gnome-vfs2-2.24.4-14.fc20.x86_64 gsm-1.0.13-10.fc20.x86_64 gstreamer-0.10.36-6.fc20.x86_64 gstreamer-plugins-bad-free-0.10.23-19.fc20.x86_64 gstreamer-plugins-base-0.10.36-6.fc20.x86_64 gstreamer-plugins-good-0.10.31-10.fc20.x86_64 gtk2-2.24.22-2.fc20.x86_64 gvfs-1.18.3-2.fc20.x86_64 harfbuzz-0.9.24-1.fc20.x86_64 herqq-1.0.0-6.fc20.x86_64 ibus-qt-1.3.2-5.fc20.x86_64 ilmbase-1.0.3-7.fc20.x86_64 jasper-libs-1.900.1-25.fc20.x86_64 jbigkit-libs-2.0-9.fc20.x86_64 json-c-0.11-3.fc20.x86_64 kde-runtime-libs-4.11.5-1.fc20.x86_64 kde-style-oxygen-4.11.5-1.fc20.x86_64 kdelibs-4.11.5-1.fc20.x86_64 kdepimlibs-4.11.5-1.fc20.x86_64 keyutils-libs-1.5.8-1.fc20.x86_64 kipi-plugins-3.5.0-2.fc20.x86_64 krb5-libs-1.11.3-38.fc20.x86_64 lcms-libs-1.19-10.fc20.x86_64 lcms2-2.5-2.fc20.x86_64 lensfun-0.2.7-2.fc20.x86_64 libICE-1.0.8-6.fc20.x86_64 libSM-1.2.1-6.fc20.x86_64 libX11-1.6.1-1.fc20.x86_64 libXScrnSaver-1.2.2-6.fc20.x86_64 libXau-1.0.8-2.fc20.x86_64 libXcomposite-0.4.4-4.fc20.x86_64 libXcursor-1.1.14-2.fc20.x86_64 libXdamage-1.1.4-4.fc20.x86_64 libXdmcp-1.1.1-5.fc20.x86_64 libXext-1.3.2-2.fc20.x86_64 libXfixes-5.0.1-2.fc20.x86_64 libXft-2.3.1-5.fc20.x86_64 libXi-1.7.2-2.fc20.x86_64 libXinerama-1.1.3-2.fc20.x86_64 libXpm-3.5.10-5.fc20.x86_64 libXrandr-1.4.1-2.fc20.x86_64 libXrender-0.9.8-2.fc20.x86_64 libXt-1.1.4-7.fc20.x86_64 libXtst-1.2.2-2.fc20.x86_64 libXv-1.0.9-2.fc20.x86_64 libXxf86vm-1.1.3-2.fc20.x86_64 libacl-2.2.52-4.fc20.x86_64 libart_lgpl-2.3.21-8.fc20.x86_64 libasyncns-0.8-6.fc20.x86_64 libattr-2.4.47-3.fc20.x86_64 libbluray-0.5.0-2.fc20.x86_64 libbonobo-2.32.1-6.fc20.x86_64 libbonoboui-2.24.5-6.fc20.x86_64 libcanberra-0.30-4.fc20.x86_64 libcanberra-gtk2-0.30-4.fc20.x86_64 libcap-2.22-7.fc20.x86_64 libcom_err-1.42.8-3.fc20.x86_64 libdc1394-2.2.0-4.fc20.x86_64 libdrm-2.4.50-1.fc20.x86_64 libexif-0.6.21-6.fc20.x86_64 libffi-3.0.13-5.fc20.x86_64 libgcc-4.8.2-7.fc20.x86_64 libgcrypt-1.5.3-2.fc20.x86_64 libgnome-2.32.1-7.fc20.x86_64 libgnome-keyring-3.10.1-1.fc20.x86_64 libgnomecanvas-2.30.3-7.fc20.x86_64 libgnomeui-2.24.5-7.fc20.x86_64 libgomp-4.8.2-7.fc20.x86_64 libgpg-error-1.12-1.fc20.x86_64 libgphoto2-2.5.2-5.fc20.x86_64 libicu-50.1.2-10.fc20.x86_64 libieee1284-0.2.11-15.fc20.x86_64 libjpeg-turbo-1.3.0-2.fc20.x86_64 libkdcraw-4.11.5-1.fc20.x86_64 liblqr-1-0.4.1-5.fc19.x86_64 libmng-1.0.10-12.fc20.x86_64 libogg-1.3.0-6.fc20.x86_64 libpgf-6.13.45-0.1.svn123.fc20.x86_64 libpng-1.6.3-3.fc20.x86_64 libqzeitgeist-0.8.0-10.fc20.x86_64 libraw1394-2.1.0-2.fc20.x86_64 libselinux-2.2.1-6.fc20.x86_64 libsndfile-1.0.25-8.fc20.x86_64 libstdc++-4.8.2-7.fc20.x86_64 libtdb-1.2.12-2.fc20.x86_64 libtiff-4.0.3-14.fc20.x86_64 libtool-ltdl-2.4.2-22.fc20.x86_64 libusb-0.1.5-2.fc20.x86_64 libusbx-1.0.16-3.fc20.x86_64 libuuid-2.24-2.fc20.x86_64 libv4l-1.0.0-1.fc20.x86_64 libvorbis-1.3.3-6.fc20.x86_64 libwayland-client-1.2.0-3.fc20.x86_64 libwayland-server-1.2.0-3.fc20.x86_64 libwebp-0.3.1-2.fc20.x86_64 libxcb-1.9.1-3.fc20.x86_64 libxml2-2.9.1-2.fc20.x86_64 libxslt-1.1.28-5.fc20.x86_64 marble-libs-4.11.5-1.fc20.x86_64 mesa-libEGL-9.2.5-1.20131220.fc20.x86_64 mesa-libGL-9.2.5-1.20131220.fc20.x86_64 mesa-libGLU-9.0.0-4.fc20.x86_64 mesa-libgbm-9.2.5-1.20131220.fc20.x86_64 mesa-libglapi-9.2.5-1.20131220.fc20.x86_64 nss-softokn-freebl-3.15.3-1.fc20.x86_64 opencv-2.4.7-2.fc20.x86_64 opencv-core-2.4.7-2.fc20.x86_64 openssl-libs-1.0.1e-37.fc20.x86_64 orc-0.4.18-1.fc20.x86_64 oxygen-gtk2-1.4.1-1.fc20.x86_64 pango-1.36.1-1.fc20.x86_64 pcre-8.33-2.fc20.1.x86_64 phonon-4.7.1-1.fc20.x86_64 phonon-backend-gstreamer-4.7.1-1.fc20.x86_64 pixman-0.30.0-3.fc20.x86_64 popt-1.16-1.fc20.x86_64 pulseaudio-libs-4.0-9.gitf81e3.fc20.x86_64 pulseaudio-libs-glib2-4.0-9.gitf81e3.fc20.x86_64 qca2-2.0.3-6.fc20.x86_64 qjson-0.8.1-3.fc20.x86_64 qt-4.8.5-11.fc20.x86_64 qt-gstreamer-0.10.3-2.fc20.x86_64 qt-mobility-1.2.2-0.5.20120224git.fc20.x86_64 qt-x11-4.8.5-11.fc20.x86_64 qtsoap-2.7-6.fc20.x86_64 qtwebkit-2.3.3-3.fc20.x86_64 sane-backends-libs-1.0.24-7.fc20.x86_64 soprano-2.9.4-2.fc20.x86_64 sqlite-3.8.2-1.fc20.x86_64 sqlite2-2.8.17-12.fc20.x86_64 strigi-libs-0.7.8-2.fc20.x86_64 systemd-libs-208-9.fc20.x86_64 tcp_wrappers-libs-7.6-76.fc20.x86_64 xz-libs-5.1.2-6alpha.fc20.x86_64 zlib-1.2.8-3.fc20.x86_64
(gdb)
Comment 13 caulier.gilles 2014-01-18 09:16:03 UTC
It miss debug symbols to hack. Please install debug digiKAm package, or compile digiKAm with debug symbols.

Also, run digiKam directly into GDB to be sure to have a better backtrace

Gilles Caulier
Comment 14 caulier.gilles 2014-05-16 07:29:47 UTC
digiKam 4.0.0 is out :

http://www.digikam.org/node/713

Please check if this entry still valid with this new version.

Thanks in advance

Gilles Caulier
Comment 15 simon 2014-05-19 10:20:43 UTC
worksforme now
Comment 16 caulier.gilles 2014-05-19 13:56:26 UTC
This file is closed through 4.1.0 release...

Gilles Caulier
Comment 17 caulier.gilles 2014-08-05 21:34:38 UTC
*** Bug 338056 has been marked as a duplicate of this bug. ***
Comment 18 Thomas Arend 2014-08-31 11:11:20 UTC
Does not work in 4.2.0

Digikam hangs - not crashes - after browsing an album and deleting pictures. After flipping several time between the pictures digikam hangs up. Has to be killed by kill -HUP <pid>

Because digikam doesn't crash I could not provide a backtrace.

Thomas
Comment 19 caulier.gilles 2014-08-31 11:20:47 UTC
Thomas, 

It can be a database problem.

Can you try to run digiKam to a fresh account, import few pictures and try again.

Gilles Caulier